REM ----------------------------------------------------------------------------
REM --
REM -- Luo Rooma-jrjestelmn kopiointiosajrjestelmn tietovarasto-yhteyden
REM -- muodostamiseen tarvittavat tietokantaobjektit.
REM --
REM --
REM -- $Id: remote_ddl.sql,v 1.2 2004/07/09 13:27:31 rrasanen Exp $
REM --
REM ----------------------------------------------------------------------------


--DROP DATABASE LINK dawa;

CREATE DATABASE LINK DAWA
  CONNECT TO tktl_htj
  IDENTIFIED BY he1kk1
  USING 'DAWA'
;

REM -- Nkym V_DAWA_HENKILO kiert pienen ongelman DAWA:n pss:
REM -- Nkymn TKTL_HTJ_HENKILO_VIEW sarakkeessa on typo: SAHKOPOSTISOITE.
REM -- Nkym voidaan pudottaa kun typo on korjattu. Samalla pit mys luoda
REM -- synonyymi DAWA_HENKILO kyttmll kommentoitua versiota.

CREATE VIEW v_dawa_henkilo
  (etunimi, sukunimi, henkilotunnus, kayttajatunnus, lahiosoite, postinumero
  ,postitoimipaikka, sahkopostiosoite, vakanssiryhma, s_vakanssiryhma)
AS
SELECT etunimi, sukunimi, henkilotunnus, kayttajatunnus, lahiosoite, postinumero
     , postitoimipaikka, sahkopostisoite, vakanssiryhma, s_vakanssiryhma
  FROM dawa.tktl_htj_henkilo_view@dawa;
       


--DROP SYNONYM dawa_henkilo;

CREATE SYNONYM dawa_henkilo FOR v_dawa_henkilo;

REM -- Kun typo on korjattu, aja kommentoidut SQL-lauseet:
REM -- DROP VIEW v_dawa_henkilo;
REM -- DROP SYNONYM dawa_henkilo;
REM -- CREATE SYNONYM dawa_henkilo FOR dawa.tktl_htj_henkilo_view@dawa;

--DROP SYNONYM dawa_projekti;

CREATE SYNONYM dawa_projekti FOR dawa.tktl_htj_projekti_view@dawa;

--DROP SYNONYM dawa_sopimusjakso;

CREATE SYNONYM dawa_sopimusjakso FOR dawa.tktl_htj_sopimusjakso_view@dawa;
