CREATE OR REPLACE PACKAGE kopiointiosajarjestelma AS
/** Kopiointiosajrjestelmn "kyttliittym".
 *
 *  $Id: kopiointiosajarjestelma.pks,v 1.2 2004/07/07 20:13:19 rrasanen Exp $
 *
 */


/** Suorittaa kopiointiajon. Sama kuin suorita('K').
 *
 */

PROCEDURE suorita;


/** Suorittaa kopiointiajon. Mikli parametri saa arvon 'K', suoritetaan koko
 *  ajo kaikkine vaiheneen, muussa tapauksessa ksittelyvaihe jtetn
 *  tekemtt.
 *
 *  <p>
 *  @param      p_paivita_varsinaiset_taulut    Jos 'K', tekee kaikki vaiheet.
 *                                              Muutoin jtt ksittelyvaiheen
 *                                              tekemtt.
 */

PROCEDURE suorita (p_paivita_varsinaiset_taulut IN CHAR);

END kopiointiosajarjestelma;
/
